Page MenuHomePhabricator

Pageviews tool doesn't work for projects that begin with www, like www.mediawiki.org
Closed, ResolvedPublic2 Story Points

Event Timeline

kaldari created this task.Apr 7 2016, 12:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 12:56 AM
kaldari set the point value for this task to 2.Apr 7 2016, 12:56 AM
kaldari triaged this task as Normal priority.
kaldari moved this task from Ready to In Development on the Community-Tech-Sprint board.
kaldari added a subscriber: MusikAnimal.

Fixed. Just waiting for @MusikAnimal to review and deploy.

Deployed. Thanks for identifying the bug and for the fix!

@kaldari FYI on Tool Labs you are free to become pageviews and run sh deploy.sh to deploy what's in master. Right now I'm manually creating releases using the GitHub interface, but hope to get the deploy script to do this automatically. Creating a release obviously isn't pertinent but it's nice to have a tag for when things were deployed.

Thanks @MusikAnimal for working on this. Do you think having a dropdown for language & projects is a better option? For example, http://tools.wmflabs.org/deadlinks/ (it's incomplete yet)

@Niharika I plan to do something similar with Langviews Analysis (shows data for a given page in all languages), but for Pageviews we support all 894 WMF wikis which I think is too many for dropdowns. However we might consider an autocomplete search with Typeahead.

kaldari closed this task as Resolved.Apr 8 2016, 4:49 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.May 3 2016, 4:20 PM